// ============================================================================
// BDreaderGAMEBDoutputCave.h
// ----------------------------------------------------------------------------
// (c) 2022-2024 by HerzAusGold
//               Hubert Haberkorn
//               herz-aus-gold-42@gmx.de
//               http://www.arthurdent.de/
// ----------------------------------------------------------------------------
// The above copyright notice and this permission notice 
// shall be included in all copies or substantial portions 
// of the Software.
// ----------------------------------------------------------------------------
// read file dump from "BoulderDsh" (by Guido Mersmann) 
// and extract level data to -> ".gamebd" file
// generate "levelinfo.conf" with some extra info
// ============================================================================

#ifndef BDREADERGAMEBDOUTPUTCAVE_H
#define BDREADERGAMEBDOUTPUTCAVE_H

#include <string>
#include "BDreaderGAMEBDmain.h"

// std::string (*convertFunc)(int x, int y, int ch, bool &elFound);

void outputCave(cave_t &cave, int maxx, int maxy, int cavelen,
                std::string (*convertFunc)(int,int,int,bool&));

#endif
