// ============================================================================
// BDreaderGAMEBDoutput.h
// ----------------------------------------------------------------------------
// (c) 2022-2024 by HerzAusGold
//               Hubert Haberkorn
//               herz-aus-gold-42@gmx.de
//               http://www.arthurdent.de/
// ----------------------------------------------------------------------------
// The above copyright notice and this permission notice 
// shall be included in all copies or substantial portions 
// of the Software.
// ----------------------------------------------------------------------------
// read file dump from "BoulderDsh" (by Guido Mersmann) 
// and extract level data to -> ".gamebd" file
// generate "levelinfo.conf" with some extra info
// ============================================================================

#ifndef BDREADERGAMEBDOUTPUT_H
#define BDREADERGAMEBDOUTPUT_H

#include "BDreaderGAMEBDmain.h"


//---------------------------------------------------------------------------
// output Anchor 
//---------------------------------------------------------------------------
void outputAnchor(anchor_t &anchor);

//---------------------------------------------------------------------------
// output CaveListHeader
//---------------------------------------------------------------------------
void outputCaveListHeader(caveListHeader_t &caveListHeader);

//---------------------------------------------------------------------------
// output CaveHeader
//---------------------------------------------------------------------------
void outputCaveHeader(caveHeader_t &caveHeader, int showOffset,
                      int showFilename, std::string filename, std::string gamename);

#endif
