// ============================================================================
// decodeCaveBD02.h
// ----------------------------------------------------------------------------
// (c) 2022-2024 by HerzAusGold
//               Hubert Haberkorn
//               herz-aus-gold-42@gmx.de
//               http://www.arthurdent.de/
// ----------------------------------------------------------------------------
// The above copyright notice and this permission notice 
// shall be included in all copies or substantial portions 
// of the Software.
// ----------------------------------------------------------------------------
// read "raw" file dump and extract the data with parameters.
// create .WLC file - WithLevelCommon
// ----------------------------------------------------------------------------

#ifndef DECODECAVEBD02_H
#define DECODECAVEBD02_H

#include "decodeCave.h"

/* ******************************************************* */
/* Prototypes */
/* **************************************** */
class DecodeCaveBD02 : public DecodeCave {
    public:
        UBYTE GetCommand(UBYTE cmd);
        UBYTE GetCommandLength(UBYTE cmd);
        void DoDecodeCave(unsigned char caveNo, UBYTE *aCaveData, int offpara, UBYTE *prog);
};

#endif
